function Xpf(){}
function Wrf(){}
function grf(a){this.a=a}
function srf(a){this.a=a}
function prf(a,b){Vpf(a.a,b)}
function orf(a,b){Vpf(a.c,b)}
function Vpf(a,b){ref(a.a,b)}
function qrf(){JZd.call(this)}
function nrf(a){tef(a.a.a);tef(a.c.a)}
function dsf(a){var b;if(!a.g){b=new qrf;a.g=b}return a.g}
function arf(a){var b;nrf(a.A);b=$Ah(a.a,nef(),jM(n1c,Qxj,1,[]));g8i(Z7i(b,PGj),J_j);o8i(Z7i(b,K_j),true);Unj(new lnj(b),new grf(a))}
function brf(a,b,d,e,g){o9d.call(this,a,b,d,e);this.c=g;this.a=(new z0i(IXb,(jBh(),eBh).Mc(IXb),iBh.Mc(IXb))).a;this.b=new O0i(IXb)}
function Vrf(a){var b;b=jM(J1c,Ixj,195,[new pff(yYj,'Application Failures'),new pff(AYj,'Resource Failures')]);uYd();a.a=Aef(new Bef('Failure Origin',e0j),b);return sef(a.a)}
function csf(a){var b;if(!a.f){b=new brf(vFd(sce(a.a)),dsf(a),bsf(a),(woj(Zde(a.a)),zpj(_de(a.a))),(A1i(Xde(a.a)),SLg(lde(a.a))));HFd((tce(a.a),b),EGd(tce(a.a)));a.f=b}return a.f}
function Wpf(a){var b,d;d=new pff(rYj,'Number of Transactions');b=jM(J1c,Ixj,195,[(d.c=true,d),bff(new pff(tYj,'Commited'),d),bff(new pff(vYj,'Aborted'),d),bff(new pff(pYj,'Timed Out'),d)]);uYd();a.a=Aef(new Bef('Success Ratio',e0j),b);return sef(a.a)}
function frf(a,b){var d,e;e=Onj(b);if(e.b.iN(kHj)&&Z7i(e,kHj).b.b!=(pmj(),omj)&&!zPd(Z7i(e,kHj).b.bf(),lHj)){Vc('Failed to load TX metrics: '+_7i(e))}else{d=E0i(a.a.b,Z7i(e,YGj));prf(a.a.A,new jef(jM(r0c,Hxj,-1,[d.QF(),d.KF(),d.IF(),d.PF()])));orf(a.a.A,new jef(jM(r0c,Hxj,-1,[d.JF(),d.OF()])))}}
w3c(2690,1,{},Xpf);_.a=null;w3c(2712,1406,Pyj,brf);_.Ti=function(){this.A.b=this;n9d(this,gzh(Wde((uYd(),sYd).a)))};_.Yi=function(){arf(this)};_.aj=function(){Zuf(this.c,this)};w3c(2714,1648,{},grf);_.eh=function(a){frf(this,a)};w3c(2717,1213,wzj,qrf);_.Bh=function(){var a,b;b=new snd(j0j);Az((Wfd(),b.gb),k0j);b.gb.style[ICj]=(IC(),RCj);b.gb.style[NCj]=-80+(ED(),sBj);b.gb.style[l0j]=O1j;aB(b.gb.style,yB());b.gb.style[MCj]=P1j;vr(b,(uYd(),'refreshBtnTXMetricViewImp'));b.th(new srf(this));this.a=new Xpf;this.c=new Wrf;a=VBe(VBe(VBe(YBe(ZBe(aCe(new cCe,k5j),o5j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),oAj,b),'Executions',Wpf(this.a)),'Rollbacks',Vrf(this.c));return WBe(a)};w3c(2718,1,byj,srf);_.le=function(a){arf(this.a.b)};w3c(2725,1,{},Wrf);_.a=null;w3c(2730,1,vzj);_.td=function(){dHd(this.b,csf(this.a.a))};var hvb=bOd(2712),evb=bOd(2714),jvb=bOd(2717),ivb=bOd(2718),Jub=bOd(2690),svb=bOd(2725);jAj(fp)(74);